/*--------------RESET---------------*/
html, body {
    padding: 0;
    margin: 0;
    font-family: arial;
}
/*----------SLIDER SECTION----------*/
.vidulibWrapper {
    overflow: hidden !important;
}

.vidulibWrapper .vidulibSlider {
    font-family: "Arial Black";
    margin: 0 auto 40px auto !important;
}

.vidulibWrapper .vidulibSlider::-webkit-scrollbar {
    width: 8px;
    height: 8px;
}

.vidulibWrapper .vidulibSlider::-webkit-scrollbar-track {
    background-color: #c3c3c3;
    background-color: rgba(100, 100, 100, .25);
    border-radius: 4px;
}

.vidulibWrapper .vidulibSlider::-webkit-scrollbar-thumb {
    background-color: #818181;
    background-color: rgba(100, 100, 100, .5);
    border-radius: 4px;
}

.vidulibWrapper .vidulibSlider .vidulibSlide {
    width: 240px;
    overflow: hidden;
    position: relative;
    flex: none;
    padding: 0;
    background-size: cover;
}

.vidulibWrapper .vidulibSlider .vidulibSlide:focus {
    outline: 0;
}

.vidulibWrapper .vidulibSlider .vidulibSlide:last-child {
    margin-right: 0;
}

.vidulibWrapper .vidulibSlider .vidulibSlide:first-child {
    margin-left: 0;
}

.vidulibWrapper .vidulibSlider .vidulibSlide {
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    margin: 0;
    text-align: center;
    background-color: black;
    background-repeat: no-repeat;
    background-position: center;
    display: flex !important;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}

.vidulibWrapper .vidulibSlide:not(.slick-current) {
    opacity: .75;
    cursor: pointer;
}

.vidulibWrapper .vidulibSlide:not(:last-child) {
    margin-right:2px;
}

.vidulibWrapper .vidulibSlider .vidulibSlide .vidulibCaption {
    display: flex;
    text-align: center;
    justify-content: center;
    align-items: center;
    color: white !important;
    font-family: 'arial', sans-serif;
    font-size: 0.9em !important;
    font-weight: bold;
    padding: 10px 20px;
    margin: 0 !important;
    opacity: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    background-color: rgb(0, 0, 0);
    /*fallback*/
    background-color: rgba(0, 0, 0, 0.6);
    background-position: center;
    background-repeat: no-repeat;
    background-size: 35% 35%;
}

.vidulibWrapper .vidulibSlickFaded {
    -webkit-mask-image: -webkit-gradient(linear, right top, left top,
        from(rgba(0, 0, 0, 0)), color-stop(0.8, rgba(0, 0, 0, 1)),
        color-stop(0.2, rgba(0, 0, 0, 1)), to(rgba(0, 0, 0, 0))) !important;
    -webkit-mask-image: gradient(linear, right top, left top,
        from(rgba(0, 0, 0, 0)), color-stop(0.8, rgba(0, 0, 0, 1)),
        color-stop(0.2, rgba(0, 0, 0, 1)), to(rgba(0, 0, 0, 0))) !important;
}

.vidulibWrapper .vidulibSlickVisible {
    overflow: visible !important;
}

/* SLICK CSS OVERWRITE
-----------------------------*/

.vidulibWrapper .vidulibSlider .slick-next.slick-disabled,
.vidulibWrapper .vidulibSlider .slick-prev.slick-disabled {
    cursor: not-allowed !important;
}

.vidulibWrapper .vidulibSlider .slick-next:before,
.vidulibWrapper .vidulibSlider .slick-prev:before {
    color: black !important;
    -webkit-transition: color .1s ease !important;
    -moz-transition: color .1s ease !important;
    -o-transition: color .1s ease !important;
    transition: color .1s ease !important;
    width: 0;
    height: 0;
    border-top: 8px solid transparent;
}

.vidulibWrapper .vidulibSlider .slick-prev:before {
    border-right: 12px solid;
    border-bottom: 8px solid transparent;
}

.vidulibWrapper .vidulibSlider .slick-next:before {
    border-left: 12px solid;
    border-bottom: 8px solid transparent;
}

.vidulibWrapper .vidulibSlider .slick-current {
    transform: scale(1.1) !important;
    z-index: 3 !important;
    box-shadow: 15px 0 15px -15px rgba(0, 0, 0, 0.5), -15px 0 15px -15px rgba(0, 0, 0, 0.5) !important;
}

.vidulibWrapper .vidulibSlider .slick-slide {
    transform: scale(1);
    z-index: 2;
    box-shadow: 0 0 0 0 rgba(0, 0, 0, 0), 0 0 0 0 rgba(0, 0, 0, 0);
}

.vidulibWrapper .vidulibSlider .slick-current,
.vidulibWrapper .vidulibSlider .slick-slide {
    -webkit-transition: transform .25s ease, box-shadow .25s ease, opacity .25s ease !important;
    -moz-transition: transform .25s ease, box-shadow .25s ease, opacity .25s ease !important;
    -o-transition: transform .25s ease, box-shadow .25s ease, opacity .25s ease !important;
    transition: transform .25s ease, box-shadow .25s ease, opacity .25s ease !important;
}

.vidulibWrapper .vidulibSlider .slick-track {
    display: flex !important;
    align-items: center !important;
    padding: 15px 0 !important;
    justify-content: center !important;
}
/*MJ 4 avril 2023
Quand il y a moins de 4 vidéos, les slides se tassent vers la gauche quand on resize
et on ne peut plus changer de vidéo car on les perd
*/
.vidulibWrapper .vidulibSlider .vidulibSlickVisible .slick-track {
    transform:translate3d(0px, 0px, 0px)!important;
}

.vidulibWrapper .vidulibSlider .slick-dots {
    border: none !important;
    box-shadow: none !important;
    opacity: 1;
    margin: 0 !important;
    padding: 0 !important;
    bottom: auto;
}

.vidulibWrapper .vidulibSlider .slick-dots li,
.vidulibWrapper .vidulibSlider .slick-dots button {
    -webkit-transition: all .25s ease !important;
    -moz-transition: all .25s ease !important;
    -o-transition: all .25s ease !important;
    transition: all .25s ease !important;
}

.vidulibWrapper .vidulibSlider button {
    border: none !important;
    box-shadow: none !important;
    background-color: transparent !important;
    background-image: none !important;
}

.vidulibWrapper .vidulibSlider li,
.vidulibWrapper .vidulibSlider button {
    border: none !important;
    box-shadow: none !important;
}

.vidulibWrapper .vidulibSlider .slick-dots button:focus {
    border: none !important;
    box-shadow: none !important;
}

.vidulibWrapper .vidulibSlider .slick-dots button {
   -webkit-appearance: none !important;
   -moz-appearance: none !important;
   appearance: none !important;
}

.vidulibWrapper .vidulibSlider .slick-dots li.slick-active button:before {
    color: #41aae6 !important;
}

.vidulibWrapper .vidulibSlider .slick-dots li button:before {
    color: #a6a8ab !important;
    opacity: 1 !important;
    font-size: 18px !important;
}

.vidulibWrapper .vidulibSlider .slick-dots li .vidulibTooltip {
    opacity: 0 !important;
    display: block;
    font-size: 0.5em;
    background-color: #a6a8ab;
    pointer-events: none;
    border-radius: 3px;
    padding: 5px;
    color: white;
    z-index: 101;
    text-align: center;
    left: 10px;
    bottom: 10px;
    min-width: 50px;
    position: absolute;
    -webkit-transition: all .25s ease !important;
    -moz-transition: all .25s ease !important;
    -o-transition: all .25s ease !important;
    transition: all .25s ease !important;
}

.vidulibWrapper .vidulibSlider .slick-dots li.slick-active .vidulibTooltip {
    background-color: #41aae6;
}

/* -----------------------------
END SLICK CURRENT CSS OVERWRITE*/

/*-INIT LOADER ANIMATION SECTION-*/
/*Source:https://loading.io/spinner/wedges/-rotate-pie-preloader-gif#*/
/*License:CC0*/
@keyframes vidulibInitLoader {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@-webkit-keyframes vidulibInitLoader {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

.vidulibWrapper .vidulibInitLoader {
    position: relative;
    width: 50px;
    height: 50px;
    margin: auto;
}

.vidulibWrapper .vidulibInitLoader > div > div {
    -webkit-transform-origin: 100px 100px;
    -moz-transform-origin: 100px 100px;
    -o-transform-origin: 100px 100px;
    -ms-transform-origin: 100px 100px;
    transform-origin: 100px 100px;
    -webkit-animation: vidulibInitLoader 3.2s linear infinite;
    -moz-animation: vidulibInitLoader 3.2s linear infinite;
    animation: vidulibInitLoader 3.2s linear infinite;
    opacity: 1;
}

.vidulibWrapper .vidulibInitLoader > div > div > div {
    position: absolute;
    left: 50px;
    top: 50px;
    width: 50px;
    height: 50px;
    border-radius: 50px 0 0 0;
    -webkit-transform-origin: 100px 100px;
    -moz-transform-origin: 100px 100px;
    -o-transform-origin: 100px 100px;
    -ms-transform-origin: 100px 100px;
    transform-origin: 100px 100px;
}

.vidulibWrapper .vidulibInitLoader > div div:nth-child(1) > div {
    background: #12558B;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    transform: rotate(0deg);
}

.vidulibWrapper .vidulibInitLoader > div div:nth-child(1) {
    -webkit-animation-duration: 0.8s;
    -moz-animation-duration: 0.8s;
    animation-duration: 0.8s;
}

.vidulibWrapper .vidulibInitLoader > div div:nth-child(2) > div {
    background: #c5d6e0;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    transform: rotate(0deg);
}

.vidulibWrapper .vidulibInitLoader > div div:nth-child(2) {
    -webkit-animation-duration: 1.066666666666667s;
    -moz-animation-duration: 1.066666666666667s;
    animation-duration: 1.066666666666667s;
}

.vidulibWrapper .vidulibInitLoader > div div:nth-child(3) > div {
    background: #59BBF0;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    transform: rotate(0deg);
}

.vidulibWrapper .vidulibInitLoader > div div:nth-child(3) {
    -webkit-animation-duration: 1.6s;
    -moz-animation-duration: 1.6s;
    animation-duration: 1.6s;
}

.vidulibWrapper .vidulibInitLoader > div div:nth-child(4) > div {
    background: #323538;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    transform: rotate(0deg);
}

.vidulibWrapper .vidulibInitLoader > div div:nth-child(4) {
    -webkit-animation-duration: 3.2s;
    -moz-animation-duration: 3.2s;
    animation-duration: 3.2s;
}

.vidulibWrapper .vidulibInitLoader {
    width: 200px !important;
    height: 200px !important;
    -webkit-transform: translate(-100px, -100px) scale(1) translate(100px, 100px);
    -moz-transform: translate(-100px, -100px) scale(1) translate(100px, 100px);
    -o-transform: translate(-100px, -100px) scale(1) translate(100px, 100px);
    -ms-transform: translate(-100px, -100px) scale(1) translate(100px, 100px);
    transform: translate(-100px, -100px) scale(1) translate(100px, 100px);
}

/*---END INIT LOADER ANIMATION SECTION---*/

/*-----PLAYER LOADER ANIMATION SECTION-----*/
/*Source:https://loading.io/css/*/

.vidulibWrapper .vidulibPlayer .vidulibLoader div {
    animation: lds-roller 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
    transform-origin: 32px 32px;
}

.vidulibWrapper .vidulibPlayer .vidulibLoader div:after {
    content: " ";
    display: block;
    position: absolute;
    width: 6px;
    height: 6px;
    border-radius: 50%;
    background: #41aae6;
    margin: -3px 0 0 -3px;
}

.vidulibWrapper .vidulibPlayer .vidulibLoader div:nth-child(1) {
    animation-delay: -0.036s;
}

.vidulibWrapper .vidulibPlayer .vidulibLoader div:nth-child(1):after {
    top: 50px;
    left: 50px;
}

.vidulibWrapper .vidulibPlayer .vidulibLoader div:nth-child(2) {
    animation-delay: -0.072s;
}

.vidulibWrapper .vidulibPlayer .vidulibLoader div:nth-child(2):after {
    top: 54px;
    left: 45px;
}

.vidulibWrapper .vidulibPlayer .vidulibLoader div:nth-child(3) {
    animation-delay: -0.108s;
}

.vidulibWrapper .vidulibPlayer .vidulibLoader div:nth-child(3):after {
    top: 57px;
    left: 39px;
}

.vidulibWrapper .vidulibPlayer .vidulibLoader div:nth-child(4) {
    animation-delay: -0.144s;
}

.vidulibWrapper .vidulibPlayer .vidulibLoader div:nth-child(4):after {
    top: 58px;
    left: 32px;
}

.vidulibWrapper .vidulibPlayer .vidulibLoader div:nth-child(5) {
    animation-delay: -0.18s;
}

.vidulibWrapper .vidulibPlayer .vidulibLoader div:nth-child(5):after {
    top: 57px;
    left: 25px;
}

.vidulibWrapper .vidulibPlayer .vidulibLoader div:nth-child(6) {
    animation-delay: -0.216s;
}

.vidulibWrapper .vidulibPlayer .vidulibLoader div:nth-child(6):after {
    top: 54px;
    left: 19px;
}

.vidulibWrapper .vidulibPlayer .vidulibLoader div:nth-child(7) {
    animation-delay: -0.252s;
}

.vidulibWrapper .vidulibPlayer .vidulibLoader div:nth-child(7):after {
    top: 50px;
    left: 14px;
}

.vidulibWrapper .vidulibPlayer .vidulibLoader div:nth-child(8) {
    animation-delay: -0.288s;
}

.vidulibWrapper .vidulibPlayer .vidulibLoader div:nth-child(8):after {
    top: 45px;
    left: 10px;
}

@keyframes lds-roller {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

/*---END PLAYER LOADER ANIMATION SECTION---*/

/*--------LIENS TÉLÉCHARGEABLES--------*/

.vidulibTranscript {
  background-color: initial;
  text-decoration: none;
  font-weight: bold;
  margin-top: 1em;
  transition: color 0.5s;
  color: #00688d;
  display: none;
}

.vidulibTranscript:hover {
  color: #5bd3ff;
}

/*------FIN LIENS TÉLÉCHARGEABLES------*/

.vidulibWrapper .vidulibPlayer {
    position: relative;
    overflow: hidden;
/*    max-width: 720px;*/
    margin: 0;
    height: 0;
}

.vidulibWrapper .vidulibPlayer img {
    bottom: 0;
    display: block;
    left: 0;
    margin: auto;
    width: 100%;
    position: absolute;
    right: 0;
    top: 0;
    border: none;
}

.vidulibWrapper .vidulibPlayer .vidulibPlay,
.vidulibWrapper .vidulibPlayer .vidulibLoader {
    height: 72px;
    width: 72px;
    left: 50%;
    top: 50%;
    margin-left: -30px;
    margin-top: -30px;
    position: absolute;
    background: no-repeat;
    cursor: pointer;
    pointer-events: none;
    position: absolute;
    background: no-repeat;
    cursor: pointer;
    pointer-events: none;
}

.vidulibWrapper .vidulibPlayer .vidulibLoader {
    display: none;
    z-index: 100;
    height: 80px;
    width: 80px;
    left: 50%;
    top: 50%;
}

.vidulibWrapper .vidulibPlayer .vidulibPlay {
    z-index: 99;
    top: calc(50% - 40px);
    left: calc(50% - 40px);
    width: 80px;
    height: 80px;
    display: block;
    border: 2px solid #fff;
    border-radius: 50%;
    padding: 0;
    margin: 0 auto;
    user-select: none;
    transition: background-color 0.5s ease !important;
    background-color: rgba(255, 255, 255, 0.5);
}

.vidulibWrapper .vidulibPlay:after {
    position: absolute;
    top: calc(50% - 25px);
    left: calc(50% - 14px);
    display: block;
    content: '';
    box-sizing: border-box;
    border-color: transparent transparent transparent #fff;
    border-style: solid;
    border-width: 26px 0 26px 40px;
}

.vidulibWrapper .vidulibHidden {
    visibility: hidden !important;
    position: absolute;
}

.vidulibError {
    display: flex;
    justify-content: center;
    color: #ff4136 !important;
    font-size: 1.25em;
    padding: 0;
    margin: 0;
}

.vidulibWrapper .vidulibVideoContainer {
    display: block;
    margin: 0 auto;
}

.vidulibError,
.vidulibWrapper .vidulibTitle {
    font-weight: 700
}

.vidulibError,
.vidulibWrapper .vidulibTitle {
    text-align: center
}

.vidulibWrapper .vidulibTitle {
    display: block;
    margin: 0 auto;
}

.vidulibWrapper .vidulibVideo {
    z-index: 96;
}

.vidulibWrapper .vidulibVideo,
.vidulibWrapper .vidulibPlayer,
.vidulibWrapper .vidulibThumb {
    display: block;
    width: 100%;
    height: auto;
    background-color: black;
}

.vidulibWrapper .vidulibVideo,
.vidulibWrapper .vidulibThumb {
    margin: auto;
}

.vidulibWrapper .vidulibPlayer {
    margin: 0 auto;
}

.vidulibWrapper .vidulibThumb {
    cursor: pointer;
    position: absolute;
    top: 0;
    left: 0;
    -webkit-transition: -webkit-filter .25s ease !important;
    -moz-transition: -moz-filter .25s ease !important;
    -o-transition: -moz-filter .25s ease !important;
    transition: filter .25s ease !important;
}

.vidulibWrapper .vidulibThumb,
.vidulibWrapper .vidulibThumb>img {
    z-index: 98;
}

.vidulibWrapper .vidulibMask {
    z-index: 97;
    width: 100%;
    position: absolute;
    display: block;
    top: 0;
    left: 0;
    background-color: black;
}

.vidulibWrapper .vidulibDescription {
    width: 100%;
    margin: 10px auto;
    text-align: justify;
    color: #a6a8ab
}

.vidulibWrapper {
    width: 100%;
}

@media screen and (max-width:1024px) {

    .vidulibWrapper .vidulibVideoSection label {
        width: 100%;
    }
}

@media screen and (max-width:768px) {

    .vidulibWrapper .vidulibSlider .vidulibSlide {
        width: 100%;
        margin: 0;
        padding: 0;
        border-color: transparent;
    }
    
    .vidulibWrapper .vidulibTitle {
        font-size: 1em;
        height: 0;
        padding: 0;
        margin: 0;
    }

    .vidulibWrapper .vidulibSlider .vidulibSlide .vidulibCaption {
        font-size: 0.8em;
    }
}

@media screen and (max-width:480px) {

    .vidulibVideoContainer {
        margin-top: 0;
    }

    .vidulibTranscript {
        font-size: 0.8em;
    }
    .vidulibWrapper .vidulibSlider {
        margin: 0 auto 10px auto !important;
    }
    
    .vidulibWrapper .vidulibSlider .vidulibSlide .vidulibCaption {
        font-size: 0.6em !important;
    }
}

@media screen and (max-width:1600px) {

    .vidulibWrapper .vidulibVideoInfo {
        display: block;
    }

    .vidulibWrapper .vidulibVideoInfo > div:last-child {
        min-width: 100%;
    }

    .vidulibWrapper .vidulibVideoInfo > div:last-child .fitem label {
        margin-right: inherit;
        float: inherit;
    }
}

@media (hover: hover) {

    .vidulibWrapper .vidulibSlider .vidulibSlide .vidulibCaption:hover {
        opacity: 1 !important;
    }

    .vidulibWrapper .vidulibSlider .vidulibSlide:hover {
        opacity: 1 !important;
    }

    .vidulibWrapper .vidulibThumb:hover {
        -webkit-filter: brightness(50%) !important;
        filter: brightness(50%) !important;
    }

    .vidulibWrapper .vidulibSlider::-webkit-scrollbar-thumb:hover {
        background-color: #1a75ba !important;
    }
    
     .vidulibWrapper .vidulibSlider .slick-next:not(.slick-disabled):hover:before,
     .vidulibWrapper .vidulibSlider .slick-prev:not(.slick-disabled):hover:before{
        color: #1a75ba !important;
    }

    .vidulibWrapper .vidulibSlider .slick-dots li:hover {
        transform: scale(2) !important;
    }

    .vidulibWrapper .vidulibSlider .slick-dots li:hover .vidulibTooltip {
        opacity: 1 !important;
    }
    
    .vidulibWrapper .vidulibSlider li:hover,
    .vidulibWrapper .vidulibSlider button:hover {
        border: none !important;
        box-shadow: none !important;
        background-color: transparent !important;
    }

}